#!/bin/sh
#
# build script for everything

all_drones="ffmpeg libav"
all_libraries="x264 x265 mp3lame fdk-aac"

## HELPER FUNCTIONS
###################

die() { echo "$@"; exit 1; }

## GENERATE TASK LIST
#####################

all_tasks=

for f in $all_libraries; do
  all_tasks="$all_tasks lib$f";
done

for f in $all_drones; do
  all_tasks="$all_tasks $f";
done

## RUN ALL TASKS
################

for f in $all_tasks; do
  $(dirname $0)/$f.sh "$@" || die "Build: cannot build $f"
done

#
# end of script