#!/bin/sh
#
# libav build script

export build_type=Drones
export build_name=LibAV

export files_dst_bin=avdrone.exe

#####################
### BASE SETTINGS ###
#####################

options="${options}     --extra-cflags=-mfpmath=sse"
options="${options}     --extra-cflags=-msse"
options="${options}     --extra-cflags=-msse2"

options="${options}     --extra-cflags=-I.extern/include"
options="${options}     --extra-ldflags=-L.extern/lib"

options="${options}     --enable-gpl"
options="${options}     --enable-version3"
options="${options}     --enable-nonfree"

options="${options}     --disable-debug"
#######="${options}     --disable-iconv"
options="${options}     --enable-w32threads"
options="${options}     --enable-runtime_cpudetect"


##########################
### DISABLE EVERYTHING ###
##########################

options="${options}     --disable-all"
options="${options}     --enable-avutil"                              # when re-enabling make sure that dependencies are met before that or it won't work
options="${options}     --enable-avcodec"
options="${options}     --enable-avformat"
options="${options}     --enable-avdrone"

################
### DECODERS ###
################

options="${options}     --enable-decoder=mpeg2video"
options="${options}     --enable-decoder=h264"
options="${options}     --enable-decoder=vc1"

options="${options}     --enable-decoder=mp2"                         # some DVDs with MP2/MP3 sound
options="${options}     --enable-decoder=mp3"
options="${options}     --enable-decoder=dca"
options="${options}     --enable-decoder=ac3"
options="${options}     --enable-decoder=eac3"
options="${options}     --enable-decoder=truehd"


################
### ENCODERS ###
################

options="${options}     --enable-libx264"
options="${options}     --enable-libmp3lame"
options="${options}     --enable-libfdk-aac"

options="${options}     --enable-encoder=mjpeg"
options="${options}     --enable-encoder=mpeg1video"
options="${options}     --enable-encoder=mpeg2video"
options="${options}     --enable-encoder=mpeg4"
options="${options}     --enable-encoder=wmv1"
options="${options}     --enable-encoder=wmv2"

options="${options}     --enable-encoder=mp2"
options="${options}     --enable-encoder=aac"
#######="${options}     --enable-encoder=dca"
options="${options}     --enable-encoder=ac3"
options="${options}     --enable-encoder=eac3"
options="${options}     --enable-encoder=flac"
options="${options}     --enable-encoder=alac"
options="${options}     --enable-encoder=wmav2"

options="${options}     --enable-encoder=libx264"
options="${options}     --enable-encoder=libmp3lame"
options="${options}     --enable-encoder=libfdk_aac"


##############
### MUXERS ###
##############

options="${options}     --enable-protocol=file"

options="${options}     --enable-muxer=avi"
options="${options}     --enable-muxer=asf"
options="${options}     --enable-muxer=mov"
options="${options}       --enable-muxer=mp4"
options="${options}       --enable-muxer=ipod"
options="${options}       --enable-muxer=psp"
#ptions="${options}       --enable-muxer=tgp"
#ptions="${options}       --enable-muxer=tg2"
options="${options}     --enable-muxer=matroska"
options="${options}       --enable-muxer=matroska_audio"


export options
`dirname $0`/build.sh "$@"

#
# end of script