#!/bin/sh
#
# libx265 build script

export build_type=Libraries
export build_name=libx265

export files_src_include=source/x265.h
export files_dst_include=x265_config.h
export files_dst_lib=libx265.a

export build_packages="
	cmake
	mingw-w64-i686-cmake
	mingw-w64-x86_64-cmake
	mingw-w64-i686-extra-cmake-modules
	mingw-w64-x86_64-extra-cmake-modules
  ar
"


export options="

	-G \"MSYS Makefiles\"

	-DHIGH_BIT_DEPTH=ON 
  -DEXPORT_C_API=OFF 
  -DENABLE_SHARED=OFF 
  -DENABLE_CLI=OFF
  -DENABLE_HDR10_PLUS=ON

	$(cygpath $WD/../../../Repository)/$build_type/$build_name/source

"

# build 10-bit
#cmd_configure=cmake $(dirname $0)/build.sh "$@"

export options="

	-G \"MSYS Makefiles\"

	-DEXTRA_LIB="x265_main10.a" 
  -DEXTRA_LINK_FLAGS=-L. 
  -DLINKED_10BIT=ON

	$(cygpath $WD/../../../Repository)/$build_type/$build_name/source


"

#build 8-bit
#cmd_configure=cmake $(dirname $0)/build.sh "$@"

cd Win64-gcc/.intermediate/libx265

ar -M <<EOF
CREATE libx265.a
ADDLIB libx265_main.a
ADDLIB libx265_main10.a
SAVE
END
EOF

#
# end of script